## org.eclipse.datatools.modelbase.sql.query
Interface OrderBySpecification

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, SQLQueryObject

All Known Subinterfaces:
  OrderByOrdinal, OrderByResultColumn, OrderByValueExpression

    public interface OrderBySpecification

extends SQLQueryObject

A representation of the model object 'SQL Order By Specification'.

The following features are supported:

- `Descending`
- `Ordering Spec Option`
- `Null Ordering Option`
- `Select Statement`
- `Query`

See Also:
  `SQLQueryModelPackage.getOrderBySpecification()`

Method Summary
`NullOrderingType` `getNullOrderingOption()` Returns the value of the 'Null Ordering Option' attribute.
`OrderingSpecType` `getOrderingSpecOption()` Returns the value of the 'Ordering Spec Option' attribute.
`QueryExpressionBody` `getQuery()` Returns the value of the 'Query' container reference.
`QuerySelectStatement` `getSelectStatement()` Returns the value of the 'Select Statement' container reference.
`boolean` `isDescending()` Returns the value of the 'Descending' attribute.
`void` `setDescending(boolean value)` Sets the value of the '`Descending`' attribute.
`void` `setNullOrderingOption(NullOrderingType value)` Sets the value of the '`Null Ordering Option`' attribute.
`void` `setOrderingSpecOption(OrderingSpecType value)` Sets the value of the '`Ordering Spec Option`' attribute.
`void` `setQuery(QueryExpressionBody value)` Sets the value of the '`Query`' container reference.
`void` `setSelectStatement(QuerySelectStatement value)` Sets the value of the '`Select Statement`' container reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isDescending

    boolean isDescending()

  Returns the value of the 'Descending' attribute.

  If the meaning of the 'Descending' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Descending' attribute.
  See Also:
    `setDescending(boolean)`, `SQLQueryModelPackage.getOrderBySpecification_Descending()`

### setDescending

    void setDescending(boolean value)

  Sets the value of the '`Descending`' attribute.

  Parameters:
    `value` - the new value of the 'Descending' attribute.
  See Also:
    `isDescending()`

### getOrderingSpecOption

    OrderingSpecType getOrderingSpecOption()

  Returns the value of the 'Ordering Spec Option' attribute. The literals are from the enumeration `OrderingSpecType`.

  If the meaning of the 'Ordering Spec Option' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Ordering Spec Option' attribute.
  See Also:
    `OrderingSpecType`, `setOrderingSpecOption(OrderingSpecType)`, `SQLQueryModelPackage.getOrderBySpecification_OrderingSpecOption()`

### setOrderingSpecOption

    void setOrderingSpecOption(OrderingSpecType value)

  Sets the value of the '`Ordering Spec Option`' attribute.

  Parameters:
    `value` - the new value of the 'Ordering Spec Option' attribute.
  See Also:
    `OrderingSpecType`, `getOrderingSpecOption()`

### getNullOrderingOption

    NullOrderingType getNullOrderingOption()

  Returns the value of the 'Null Ordering Option' attribute. The literals are from the enumeration `NullOrderingType`.

  If the meaning of the 'Null Ordering Option' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Null Ordering Option' attribute.
  See Also:
    `NullOrderingType`, `setNullOrderingOption(NullOrderingType)`, `SQLQueryModelPackage.getOrderBySpecification_NullOrderingOption()`

### setNullOrderingOption

    void setNullOrderingOption(NullOrderingType value)

  Sets the value of the '`Null Ordering Option`' attribute.

  Parameters:
    `value` - the new value of the 'Null Ordering Option' attribute.
  See Also:
    `NullOrderingType`, `getNullOrderingOption()`

### getSelectStatement

    QuerySelectStatement getSelectStatement()

  Returns the value of the 'Select Statement' container reference. It is bidirectional and its opposite is '`Order By Clause`'.

  If the meaning of the 'Select Statement' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Select Statement' container reference.
  See Also:
    `setSelectStatement(QuerySelectStatement)`, `SQLQueryModelPackage.getOrderBySpecification_SelectStatement()`, `QuerySelectStatement.getOrderByClause()`

### setSelectStatement

    void setSelectStatement(QuerySelectStatement value)

  Sets the value of the '`Select Statement`' container reference.

  Parameters:
    `value` - the new value of the 'Select Statement' container reference.
  See Also:
    `getSelectStatement()`

### getQuery

    QueryExpressionBody getQuery()

  Returns the value of the 'Query' container reference. It is bidirectional and its opposite is '`Sort Spec List`'.

  If the meaning of the 'Query' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Query' container reference.
  See Also:
    `setQuery(QueryExpressionBody)`, `SQLQueryModelPackage.getOrderBySpecification_Query()`, `QueryExpressionBody.getSortSpecList()`

### setQuery

    void setQuery(QueryExpressionBody value)

  Sets the value of the '`Query`' container reference.

  Parameters:
    `value` - the new value of the 'Query' container reference.
  See Also:
    `getQuery()`